import {
    service
} from '../utils/request';

//获取重点人员列表数据
export function getYclTask(params = {}) {
    return service({
        url: '/mosty-rwzx/tbRwTask/inner/getYclTask',
        method: 'get',
        params,
    });
};
//获取已处理任务列表
export function getYclTaskList(data) {
    return service({
        url: '/mosty-rwzx/tbRwTask/inner/getYclTaskList',
        method: 'POST',
        data
    })
}
//根据时间获取警情数量
export function getJqCount(params) {
    return service({
        url: '/mosty-sjzx/tbJq/getJqCount',
        method: 'get',
        params
    })
}

//APP根据时间统计报备数量
export function getBbCountByDept(data) {
    return service({
        url: '/mosty-qwzx/tbQwZbbb/getBbCountByDept',
        method: 'POST',
        data
    })
}

//APP根据时间统计报备列表
export function getBbListByDept(data) {
    return service({
        url: '/mosty-qwzx/tbQwZbbb/getBbListByDept',
        method: 'POST',
        data
    })
}
//领导驾驶舱 警情数据
export function getAlarmSituation(params = {}) {
    return service({
        url: '/mosty-sjzx/tbJq/alarmSituation',
        method: 'get',
        params
    })
}

//领导驾驶舱 街面实发警情数据
export function getSituation(params = {}) {
    return service({
        url: '/mosty-sjzx/tbJq/situation',
        method: 'get',
        params
    })
}

//值班领导
export function getZbld(params = {}) {
    return service({
        url: '/mosty-qwzx/tbQwZbbb/getZbld',
        method: 'post',
        data: params
    })
}
//街面警力数据
export function getJmjlCount(params = {}) {
    return service({
        url: '/mosty-qwzx/tbQwXfbb/getJmjlCount',
        method: 'post',
        data: params
    })
}

//街面在岗警力数据
export function getZgjlCount(params = {}) {
    return service({
        url: '/mosty-qwzx/tbQwBmjlbb/getZgjlCount',
        method: 'get',
        params
    })
}
//获取勤务列表
export function getTbQwZbbb(params) {
    return service({
        url: '/mosty-qwzx/tbQwZbbb',
        method: 'get',
        params
    })
}
//获取巡防列表
export function getTbQwXfbb(params) {
    return service({
        url: '/mosty-qwzx/tbQwXfbb',
        method: 'get',
        params
    })
}